:root {
    --pd: #f58f30;
    --pd-shadow: #ff6f1e;
    --pd-light: #ffddb6;
}

body {
  color: var(--pd);
}

a {
  color: var(--pd);
}

.btn-default {
    background-color: var(--pd);
    color: white;
    border: 0;
}
.btn-default:focus {
    border-color: var(--pd);
}

.btn-default:active,
.btn-default:hover,
.btn-default:active,
.btn-default:first-child:active {
    background-color: var(--pd-shadow) !important;
    color: white !important;
}

.nav-link {
    color: var(--pd);
}

.nav-link:hover {
    color: var(--pd-shadow);
}

.navbar-nav .nav-link.active {
    color: var(--pd);
}

.navbar-brand {
    color: var(--pd);
}

.form-check-input:checked {
    background-color: var(--pd);
    border-color: var(--pd);
}

.form-check-input:focus {
    border-color: var(--pd-shadow);
}

.form-control:focus {
    border-color: var(--pd);
}

.form-select:focus {
    border-color: var(--pd);
}

.table {
    color: var(--pd);
}

.table-input {
    border: 0px;
    width: min-content;
}

label {
    margin-right: 10px;
}

.row { margin-top:20px; }

.image-container {
    height: calc(100vh - 400px); /* Adjust the 200px to match the height of other elements on the page */
    display: flex;
    align-items: center;
    justify-content: center;
}

.image-container img {
    max-height: 100%;
    max-width: fit-content;
}

.form-range {
    background-color: var(--pd);
    height: 8px;
    border-radius: 4px;
    margin-bottom: 15px;
}

.form-range::-webkit-slider-thumb {
    background-color: var(--pd);
    height: 18px;
    border-radius: 10px;
}
.form-range::-webkit-slider-thumb:active {
    background-color: var(--pd-light);
}
.form-range:focus::-webkit-slider-thumb {
    box-shadow: none !important;
}
.form-range:focus::-moz-range-thumb {
    box-shadow: none !important;
}
.form-range:focus::-ms-thumb:focus {
    box-shadow: none !important;
}
.accordion-button:focus {
    border-color: var(--pd-light);
}

.accordion-button:not(.collapsed) {
    background-color: var(--pd-light);
}

*:focus {
    box-shadow: 0 0 0 0.2rem rgba(40, 40, 40, 0.5) !important; /* Example: orange with 50% opacity */
    outline: none !important; /* Remove default outline for better aesthetics */
}

img {
    padding-left: 0 !important;
    padding-right: 0 !important;
}
